#version 150 //SL version 2 not 4

uniform sampler2D particleTexture;
uniform sampler2D fboTex0; 

in vec2 texCoords;
//in vec3 light;
//in vec3 normal;

in float fragAlpha;

out vec4 out_Color;

uniform int type;
uniform float updatetime;

void main(void)
{
	//float diffuseIntensity;
	float AI = 0.1;
	vec4 AM = vec4(1,1,1,0);
	vec4 tex_color;
	
	if(type == 3)
	{
		
		tex_color = texture(fboTex0, vec2(texCoords.x, 1-texCoords.y));
		
	}else
	{
		tex_color = texture(particleTexture, texCoords);
	}
	if(tex_color.w == 0) discard;
	
	//diffuseIntensity = clamp(max(dot(normal, light), 0.0), 0.0, 1.0);
	
	if(type == 4)
	{
		vec4 color1 = vec4(1.0f,1.0f,1.0f,0.2f);
		vec4 color2 = vec4(0.0f,0.5f,0.0f,0.8f);
		vec4 color = (1-updatetime/1.5f)*color1 + (updatetime/1.5f) * color2;
		out_Color = tex_color * color;
		out_Color = vec4(out_Color.xyz, out_Color.w * 0.8);
		
	}else if(type == 3) 
	{
		out_Color = tex_color;
	}else
	{
		out_Color = (AI * AM) + vec4(tex_color.xyz,tex_color.w*fragAlpha*0.5);
	}
	
	//out_Color = vec4(1,1,0,1);


}
