// Vertex Shader  file "minimal.vert"

#version 150 //SL version 2 not 4


in  vec3 in_Position;
in	vec3 in_Velocity;
in  vec4 in_Params;


out vec3 normvelo;
out vec4 params;
out float geomAlpha;

uniform float updatetime;
uniform int type;

void main(void)
{

	vec3 vertex;
	normvelo = normalize(in_Velocity);
	params = in_Params;
	geomAlpha = 1;
	
	
	
	if(type == 1)
	{
		float ttl = in_Params.w;
		geomAlpha = 1 - (updatetime/ttl) * (updatetime/ttl);	
		float energytime = in_Params.x * updatetime * 20;
		vertex.x = in_Position.x + normvelo.x * energytime;
		vertex.y = in_Position.y + normvelo.y * energytime;
		vertex.z = in_Position.z + normvelo.z * energytime;
		gl_Position = vec4(vertex,1);
		return;
	}
	
	gl_Position = vec4(in_Position,1);

	
	
	
}
